import time
import sys
import json

time.sleep(3)

# arg format is like this: args ['test1.py', '{"kiste":{"value":"321"},"labelformat":{"value":"123123"},"print_machine_selection":{"data":{"displayName":"Brother Workplace","ip":"127.0.0.1"},"value":"Brother Workplace"}}', '--undo'] undo is optional
json_object = json.loads(sys.argv[1])

customer_salutation = json_object["customer_salutation"]
customer_name = json_object["customer_name"]
customer_email = json_object["customer_email"]
appointment_location = json_object["appointment_location"]
zeitadler_json_data = json_object["zeitadler_json_data"]

print("args", sys.argv)

print("customer_salutation", customer_salutation)
print("customer_name", customer_name)
